Subject: bug#25049: ibuffer bug when saving existing filter, with patches

From: [email-masked]
Date: Wed, 30 Nov 2016 09:07:13 -0500

Tino Calancha <[email-masked]> writes:

> Christopher Genovese <[email-masked]> writes:
>
>> I've attached a modified patch file that includes
>> all your suggested changes.  I did some squashing
>> and editing, so this patch has the same three parts
>> as before, with properly formatted Change Logs in
>> each.

You don't need the "Change Log: 2016-11-27 Christopher R. Genovese
<[email-masked]>" part, that information is extracted automatically
from the commit metadata.

> Thank you very much fr your prompt replay!
>
> I)
> +           'follow-link t
> +           'help-echo "Click or RET: save new value in customize"
> +           'action (lambda (b)
> +                     (if (not (fboundp 'customize-save-variable))
> +                         (message "Customize not available; value not saved")
> +                       (customize-save-variable 'ibuffer-saved-filters
> +                                                ibuffer-saved-filters)
> +                       (message "Saved updated ibuffer-saved-filters."))))
> The lambda form above doesn't use its 'b' argument, so i have dropped
> it.

By "drop" I hope you meant "replaced it with `_'".  The action function
receives 1 argument, so it has to accept it.

>
> If we don't get further comments to address in 1 week, then let's
> push this fix to the master branch.

I don't really agree with this switching *Warnings* to help-mode.
First, it's out of place for a particular warning to start manipulating
the *Warnings* buffer like that.  And second, it would make more sense
to have a warnings-mode, that could provide more specialized bindings
(e.g., ignore warning at point).  But that's a subject for another
thread.  I don't think this patch should do anything about it.